"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.material = void 0;

var _highlight = require("@lezer/highlight");

var _codemirrorThemes = require("@uiw/codemirror-themes");

var material = (0, _codemirrorThemes.createTheme)({
  theme: 'dark',
  settings: {
    background: '#2e3235',
    foreground: '#bdbdbd',
    caret: '#a0a4ae',
    selection: '#d7d4f0',
    selectionMatch: '#d7d4f0',
    gutterBackground: '#2e3235',
    gutterForeground: '#999',
    gutterActiveForeground: '#4f5b66',
    lineHighlight: '#545b61'
  },
  styles: [{
    tag: _highlight.tags.keyword,
    color: '#cf6edf'
  }, {
    tag: [_highlight.tags.name, _highlight.tags.deleted, _highlight.tags.character, _highlight.tags.macroName],
    color: '#56c8d8'
  }, {
    tag: [_highlight.tags.propertyName],
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.variableName],
    color: '#bdbdbd'
  }, {
    tag: [_highlight.tags["function"](_highlight.tags.variableName)],
    color: '#56c8d8'
  }, {
    tag: [_highlight.tags.labelName],
    color: '#cf6edf'
  }, {
    tag: [_highlight.tags.color, _highlight.tags.constant(_highlight.tags.name), _highlight.tags.standard(_highlight.tags.name)],
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.definition(_highlight.tags.name), _highlight.tags.separator],
    color: '#fa5788'
  }, {
    tag: [_highlight.tags.brace],
    color: '#cf6edf'
  }, {
    tag: [_highlight.tags.annotation],
    color: '#ff5f52'
  }, {
    tag: [_highlight.tags.number, _highlight.tags.changed, _highlight.tags.annotation, _highlight.tags.modifier, _highlight.tags.self, _highlight.tags.namespace],
    color: '#ffad42'
  }, {
    tag: [_highlight.tags.typeName, _highlight.tags.className],
    color: '#ffad42'
  }, {
    tag: [_highlight.tags.operator, _highlight.tags.operatorKeyword],
    color: '#7186f0'
  }, {
    tag: [_highlight.tags.tagName],
    color: '#99d066'
  }, {
    tag: [_highlight.tags.squareBracket],
    color: '#ff5f52'
  }, {
    tag: [_highlight.tags.angleBracket],
    color: '#606f7a'
  }, {
    tag: [_highlight.tags.attributeName],
    color: '#bdbdbd'
  }, {
    tag: [_highlight.tags.regexp],
    color: '#ff5f52'
  }, {
    tag: [_highlight.tags.quote],
    color: '#6abf69'
  }, {
    tag: [_highlight.tags.string],
    color: '#99d066'
  }, {
    tag: _highlight.tags.link,
    color: '#56c8d8',
    textDecoration: 'underline',
    textUnderlinePosition: 'under'
  }, {
    tag: [_highlight.tags.url, _highlight.tags.escape, _highlight.tags.special(_highlight.tags.string)],
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.meta],
    color: '#707d8b'
  }, {
    tag: [_highlight.tags.comment],
    color: '#707d8b',
    fontStyle: 'italic'
  }, {
    tag: _highlight.tags.monospace,
    color: '#bdbdbd'
  }, {
    tag: _highlight.tags.strong,
    fontWeight: 'bold',
    color: '#ff5f52'
  }, {
    tag: _highlight.tags.emphasis,
    fontStyle: 'italic',
    color: '#99d066'
  }, {
    tag: _highlight.tags.strikethrough,
    textDecoration: 'line-through'
  }, {
    tag: _highlight.tags.heading,
    fontWeight: 'bold',
    color: '#facf4e'
  }, {
    tag: _highlight.tags.heading1,
    fontWeight: 'bold',
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.heading2, _highlight.tags.heading3, _highlight.tags.heading4],
    fontWeight: 'bold',
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.heading5, _highlight.tags.heading6],
    color: '#facf4e'
  }, {
    tag: [_highlight.tags.atom, _highlight.tags.bool, _highlight.tags.special(_highlight.tags.variableName)],
    color: '#56c8d8'
  }, {
    tag: [_highlight.tags.processingInstruction, _highlight.tags.inserted],
    color: '#ff5f52'
  }, {
    tag: [_highlight.tags.contentSeparator],
    color: '#56c8d8'
  }, {
    tag: _highlight.tags.invalid,
    color: '#606f7a',
    borderBottom: "1px dotted #ff5f52"
  }]
});
exports.material = material;
//# sourceMappingURL=index.js.map